taffybar-4.0.2: A desktop bar similar to xmobar, but with more GUI

Safe Haskell | Safe-Inferred
Language | Haskell2010

System.Taffybar.Widget.Generic.ChannelWidget

Synopsis

- channelWidgetNew :: (MonadIO m, IsWidget w) => w -> BroadcastChan In a -> (a -> IO ()) -> m w

# Documentation

channelWidgetNew :: (MonadIO m, IsWidget w) => w -> BroadcastChan In a -> (a -> IO ()) -> m w Source #

Given a widget, a `BroadcastChan` and a function that consumes the values yielded by the channel that is in `IO`, connect the function to the `BroadcastChan` on a dedicated haskell thread.